Subject: bug#10164: closed (Instant crash enabling linum-mode)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2011 20:06:34 +0200

> Date: Wed, 30 Nov 2011 10:29:39 -0700
> From: Tim Crews <[email-masked]>
> 
> > I'm amazed that this assertion didn't trigger until now.  I guess too
> > few people compile with asserts.  Or maybe most calls to
> > adjust_glyph_matrix don't really reallocate, since display margins are
> > a relatively rarely used feature.
> 
> I'm confused about that part.  I discovered the bug using the binary
> build that came from  http://alpha.gnu.org/gnu/emacs/windows/.
> Isn't this where most people would get their copy of Emacs 24?

I don't know.  Quite a few people who track Emacs development build
Emacs themselves.  I do, for example.

> Wasn't it compiled with asserts?

Yes, it was.  So is my Emacs.  I just don't use linum-mode.  The
moment I tried it, it crashed for me as well.